import $store from '../store'
import request from '@/utils/request.js'
const isUserId = function() {
	var userId=uni.getStorageSync("wxOpenData").loginInfo.uid;
	//console.log("userId---"+userId)
	if(!userId){
		   uni.navigateTo({
			  url:'../login/login'
		   })
	 }
}
const automaticlogin = function() {
	//console.log($store.state.userInfo)
	var that=this;
	const extConfig = uni.getExtConfigSync();
	//console.log(extConfig)
	
	 return new Promise((resolve, reject) => {
		 if($store.state.userInfo){
			 resolve()
		 }else{
			uni.login({
			  provider: 'weixin',
			  success: function (loginRes) {
			    //console.log(loginRes);
				request.http('miniApp2/sys/getWxOpenID', {
				   code:loginRes.code,
				   unionId:extConfig.unionId
				  },'GET').then(res => {
					  $store.commit('mutationswxOpenData', res.data);
					  var themeColor= res.data.themeColor
					   uni.setStorageSync('themeColor',themeColor);
					  if(res.data.loginInfo){
					  	$store.commit('mutationsuserInfo', res.data.loginInfo.openUser)
					  }
					 resolve()
				  })				
			  }
			}); 
		 }
		
	 })
	 //return Promise.resolve()
	 
}
/* const uid =function() {
	var userId=uni.getStorageSync("logodata").uid;
	return
} */

// 防止处理多次点击
function noMultipleClicks(methods, info) {
    // methods是点击后需要执行的函数， info是函数需要传的参数
    let that = this;
    if (that.noClick) {
        // 第一次点击
        that.noClick= false;
        if((info && info !== '') || info ==0) {
            // info是执行函数需要传的参数
            methods(info);
        } else {
            methods();
        }
        setTimeout(()=> {
            that.noClick= true;
        }, 3000)
    } else {
        //  这里是重复点击的判断
    }
}


function getExtStoreId(type){
	try{
		var extConfig = uni.getExtConfigSync ? uni.getExtConfigSync() : {shopId:'默认的门店id'};
		/* extConfig={
		  	"shopId": "1F12DB68-D8E8-4B76-9E20-287ACB72889F",
		  	"url":"https://apidms.66km.com",
		  	"unionId":"EF7981B9-2D1D-4006-9C0A-66CE7177134D",
		  	"appId":"wx2c6f04c0dcd15984"
	      } */
		console.log(extConfig,'extJson对象');
		//return extConfig[type];
		return extConfig
	}catch(err){
		console.log(err,'getExtStoreId__error')
	}
}
function formateTimeStamp (timeStamp) {
  var hour;
  var min;
  var seconds;

  hour = parseInt(timeStamp / (60 * 60)) // 计算整数小时数
  var afterHour = timeStamp - hour * 60 * 60 // 取得算出小时数后剩余的秒数
  min = parseInt(afterHour / 60) // 计算整数分
  seconds = parseInt(timeStamp - hour * 60 * 60 - min * 60) // 取得算出分后剩余的秒数

  if (hour < 10) {
    hour = '0' + hour
  }

  if (min < 10) {
    min = '0' + min;
  }

  if (seconds < 10) {
    seconds = '0' + seconds;
  }

  const restTime = {
    hour: hour,
    min: min,
    seconds: seconds
  }
  return restTime
}



export default {
    commonData:{
        companyType:1,
    },
	automaticlogin,
    isUserId,
	getExtStoreId,
	noMultipleClicks,      // 禁止多次点击
	formateTimeStamp,
}



